"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _styledComponents = require("styled-components");

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Layout = (0, _styledComponents2.default)("div")({
  width: 300,
  height: 300,
  resize: "both",
  background: "none",
  backgroundRepeat: "no-repeat",
  backgroundSize: "cover",
  overflow: "auto",
  backgroundImage: ""
}, function (props) {
  return {
    width: props.width, //width
    height: props.height, //height
    resize: props.resize, //resize
    background: props.background, //background
    backgroundRepeat: props.repeat, //background-repeat
    backgroundSize: props.size, //background-size
    backgroundImage: "url(" + props.image + ")", //background-image
    overflow: props.overflow //overflow
  };
});

exports.default = Layout;